# Created by pyp2rpm-3.3.5
%global pypi_name dask

Name:           python-%{pypi_name}
Version:        2025.2.0
Release:        %mkrel 2
Summary:        Parallel PyData with Task Scheduling
Group:          Development/Python
License:        BSD
URL:            https://github.com/dask/dask/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
Obsoletes:      python3-dask+dataframe < 2024.5.0-2

%description
Dask is a flexible parallel computing library for analytics.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Dask is a flexible parallel computing library for analytics.

# don't include dataframe, it requires dask-expr we don't have
%pyproject_extras_subpkg -n python3-%{pypi_name} array bag diagnostics delayed

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt dask/array/NUMPY_LICENSE.txt
%doc README.rst
%{_bindir}/dask


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2025.2.0-2.mga10
+ Revision: 2242060
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 2025.2.0-1.mga10
+ Revision: 2159455
- new version: 2025.2.0

* Sun Mar 02 2025 wally <wally> 2024.11.2-2.mga10
+ Revision: 2158105
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 2024.11.2-1.mga10
+ Revision: 2126210
- new version 2024.11.2

* Tue Sep 10 2024 papoteur <papoteur> 2024.8.0-1.mga10
+ Revision: 2094830
- new version 2024.8.0

* Mon Jul 01 2024 papoteur <papoteur> 2024.5.0-2.mga10
+ Revision: 2078463
- withdraw python3-dask+dataframe, requirements not satisfied

* Thu May 16 2024 papoteur <papoteur> 2024.5.0-1.mga10
+ Revision: 2064452
- new version 2024.5.0

* Mon Jan 29 2024 papoteur <papoteur> 2024.1.1-2.mga10
+ Revision: 2036074
- Rebuild

* Mon Dec 25 2023 wally <wally> 2023.12.1-1.mga10
+ Revision: 2021224
- new version 2023.12.1
- add extras sub pkgs
- use pyproejct rpm macros

* Fri Dec 02 2022 papoteur <papoteur> 2022.11.1-1.mga9
+ Revision: 1914015
- imported package python-dask

